Package Details: basilisk-bin 1:52.9.2019.09.12-1

Git Clone URL: https://aur.archlinux.org/basilisk-bin.git (read-only)
Package Base: basilisk-bin
Description: Basilisk Browser from the makers of Pale Moon
Upstream URL: http://www.basilisk-browser.org
Licenses: GPL
Submitter: twa022
Maintainer: twa022
Last Packager: twa022
Votes: 9
Popularity: 0.098786
First Submitted: 2017-11-18 14:31
Last Updated: 2019-10-12 17:42

Latest Comments

TaZeR commented on 2018-12-26 11:25

Latest updated alternative PKGBUILD for those having trouble with the official and no gpg checks, build as of December/25/2018:

http://ix.io/1wPk

(make sure you put the updated PKGBUILD and basilisk.desktop file in your build directory before starting)

kerframil commented on 2018-12-25 07:05

Here is an update for 2018.12.18, along with some minor changes:

  • simplified wrapper script creation
  • use exec in wrapper so that the shell does not linger
  • remove unnecessary cp -r argument
  • add WM_CLASS hint to the .desktop file
diff --git a/PKGBUILD b/PKGBUILD
index 166fda9..936e0f4 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
 _pkgname=basilisk
 pkgname=${_pkgname}-bin
 epoch=1
-pkgver=52.9.2018.11.07
+pkgver=52.9.2018.12.18
 pkgrel=1
 pkgdesc="Basilisk Browser from the makers of Pale Moon"
 url="http://www.basilisk-browser.org"
@@ -15,8 +15,8 @@ optdepends=('hunspell: spell checker and morphological analyzer'
             'ffmpeg: record, convert, and stream audio and video')
 source=("${pkgname/-bin/}-${pkgver}.tar.bz2::http://us.basilisk-browser.org/release/basilisk-latest.linux64.tar.bz2"
         'basilisk.desktop')
-sha256sums=('915e411e5e35f8b415b1fea77790bc77a42e3685a7f4e5cd300d281e9c8eac3b'
-            'c4223e966bc404467fece4a524cc2db3e99c12455087da2ade9a47b8d99d3a45')
+sha256sums=('a352c47e717bc03e3dbac4ad38c8bd0ccbe7aa83e83f99cefb2344cc65932df4'
+            'ac8edf52c501234ef7124a06681f13cba4137e220b63fb05003c4f9cb1636895')

 pkgver() {
    cd "${srcdir}"/basilisk
@@ -25,12 +25,9 @@ pkgver() {

 package() {
    mkdir -p "$pkgdir"/opt
-   cp -ar --no-preserve=ownership "$srcdir"/basilisk "$pkgdir"/opt
+   cp -a --no-preserve=ownership "$srcdir"/basilisk "$pkgdir"/opt
    mkdir -p "${pkgdir}"/usr/bin
-   cat > "${pkgdir}"/usr/bin/basilisk <<- __EOF__
-       #!/bin/bash
-       /opt/basilisk/basilisk "\$@"
-   __EOF__
+   printf '%s\n' '#!/bin/sh' 'exec /opt/basilisk/basilisk "$@"' > "${pkgdir}"/usr/bin/basilisk
    chmod 755 "${pkgdir}"/usr/bin/basilisk
    install -Dm644 "${srcdir}"/basilisk.desktop "${pkgdir}"/usr/share/applications/basilisk.desktop
    install -Dm644 "${srcdir}"/basilisk/browser/icons/mozicon128.png "${pkgdir}"/usr/share/pixmaps/basilisk.png
diff --git a/basilisk.desktop b/basilisk.desktop
index 6e2afcc..e8e1d42 100644
--- a/basilisk.desktop
+++ b/basilisk.desktop
@@ -88,6 +88,7 @@ Icon=basilisk
 Categories=Network;WebBrowser;
 MimeType=text/html;text/xml;application/xhtml+xml;application/vnd.mozilla.xul+xml;text/mml;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;
 StartupNotify=true
+StartupWMClass=Basilisk
 Actions=NewTab;NewWindow;NewPrivateWindow;

 [Desktop Action NewTab]

figue commented on 2018-11-06 15:52

Maybe it's more elaborate, but as the sha256 sums are in the upstream webpage, you can skip sums for downloaded file and then check afterwards with a simple code. This could be an approach:

diff --git a/PKGBUILD b/PKGBUILD
index 84c91a1..8e0e836 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,21 +3,32 @@
 _pkgname=basilisk
 pkgname=${_pkgname}-bin
 epoch=1
-pkgver=52.9.2018.09.27
+pkgver=52.9.2018.11.04
 pkgrel=1
 pkgdesc="Basilisk Browser from the makers of Pale Moon"
 url="http://www.basilisk-browser.org"
 arch=('x86_64')
 license=('GPL')
 depends=('gtk2' 'gtk3' 'dbus-glib' 'libxt' 'mime-types' 'nss' 'alsa-lib' 'icu')
+makedepends=('curl')
 optdepends=('hunspell: spell checker and morphological analyzer'
             'hyphen: library for hyphenation and justification'
             'ffmpeg: record, convert, and stream audio and video')
 source=("${pkgname/-bin/}-${pkgver}.tar.bz2::http://us.basilisk-browser.org/release/basilisk-latest.linux64.tar.bz2"
         'basilisk.desktop')
-sha256sums=('b01cfff77af84403e5723428fc862713e68e493fa0bfd5ed8d4182e7f0265d64'
+sha256sums=('SKIP'
             'c4223e966bc404467fece4a524cc2db3e99c12455087da2ade9a47b8d99d3a45')

+check(){
+   cd "${srcdir}"
+   if [ "$(sha256sum ${pkgname/-bin/}-${pkgver}.tar.bz2 | awk '{print $1}')" = "$(curl -s http://basilisk-browser.org/download.shtml | grep -A 1 'basilisk-latest.linux64.tar.bz2:' | tail -1 | sed $'s/[^[:print:]\t]//g')" ]; then
+       msg2 "sha256 sums correct. Continue building..."
+   else
+       error "sha256 sums not correct: clean your downloaded file and try again."
+       exit 1
+   fi
+}
+
 pkgver() {
    cd "${srcdir}"/basilisk
    ./basilisk --version | grep -o -E '[0-9\.]+$'

Xp4_99 commented on 2018-07-21 08:53

Hello, new update of basilisk has been released, resulting this AUR package in a checksum mismatch which lead new users of this package to can't install it.

Also for Tor users', they have a cloudflare like protection that results in a 403 forbidden code. But this remains to Basilisk hosting. I'm just informing here.

dimti commented on 2018-06-02 14:33

I also fetched check sha summ FAILED.

$ export LANG=C [dimti]$ paca basilisk-bin :: Package(s) basilisk-bin not found in repositories, trying AUR... :: resolving dependencies... :: looking for inter-conflicts...

AUR Packages (1) basilisk-bin-1:52.9.2018.06.01-1

:: Retrieving package(s)... :: Checking basilisk-bin integrity... ==> Making package: basilisk-bin 1:52.9.2018.06.01-1 (Sat Jun 2 17:28:39 MSK 2018) ==> Retrieving sources... -> Found basilisk-latest.linux64.tar.bz2 -> Found basilisk.desktop ==> Validating source files with sha256sums... basilisk-latest.linux64.tar.bz2 ... FAILED basilisk.desktop ... Passed ==> ERROR: One or more files did not pass the validity check! :: failed to verify basilisk-bin integrity [dimti]$ sudo pacman -Scc

Cache directory: /var/cache/pacman/pkg/ :: Do you want to remove ALL files from cache? [y/N] y removing all files from cache... error: could not remove /var/cache/pacman/pkg/openssl-1.0.0: Is a directory error: could not remove /var/cache/pacman/pkg/usr: Is a directory

Database directory: /var/lib/pacman/ :: Do you want to remove unused repositories? [Y/n] y removing unused sync repositories... [dimti]$ paca basilisk-bin :: Package(s) basilisk-bin not found in repositories, trying AUR... :: resolving dependencies... :: looking for inter-conflicts...

AUR Packages (1) basilisk-bin-1:52.9.2018.06.01-1

:: Retrieving package(s)... :: Checking basilisk-bin integrity... ==> Making package: basilisk-bin 1:52.9.2018.06.01-1 (Sat Jun 2 17:29:02 MSK 2018) ==> Retrieving sources... -> Found basilisk-latest.linux64.tar.bz2 -> Found basilisk.desktop ==> Validating source files with sha256sums... basilisk-latest.linux64.tar.bz2 ... FAILED basilisk.desktop ... Passed ==> ERROR: One or more files did not pass the validity check! :: failed to verify basilisk-bin integrity [dimti]$

-- PS: paca it the alias alias paca='pacaur -S --noedit --noconfirm'

FabioLolix commented on 2018-06-02 09:30

@simona do you have an old copy of basilisk-latest.linux64.tar.bz2 in the cache? makepkg -o is fine here but archives are not versioned

For english only forums etc. please post in English, use 'export LANG=C' or similar (LANG="en_GB") before running commands

LANG="it_IT" for Italian

(Ciao!)

simona commented on 2018-06-02 09:09

==> Creazione del pacchetto: basilisk-bin 1:52.9.2018.06.01-1 (sab 02 giu 2018 11:03:20 CEST) ==> Download dei sorgenti in corso... -> È stato trovato basilisk-latest.linux64.tar.bz2 -> È stato trovato basilisk.desktop ==> Validazione di source file con sha256sums... basilisk-latest.linux64.tar.bz2 ... NON RIUSCITO basilisk.desktop ... Verificato =

tsukinomiya commented on 2018-02-05 00:09

need a update to v2018.02.02.

https://www.basilisk-browser.org/releasenotes.shtml

basilisk-latest.linux64.tar.bz2:

7831d636f9590307b474d17578484ac2dac17f56d9013a6564b6102de1bb5d51

https://www.basilisk-browser.org/download.shtml

bm456 commented on 2017-12-25 20:36

i've made a source based version

in a gaming pc it needs 25 minutes for compile

metak commented on 2017-11-18 15:02

Error in PKGBUILD file, 'dependsdepends'.